Name:           patchelf
Version:        0.11
Release:        %mkrel 1
Summary:        A utility for patching ELF binaries

Group:          Development/Tools
License:        GPLv3+
URL:            http://nixos.org/patchelf.html
Source0:        https://github.com/NixOS/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: autoconf 
BuildRequires: automake 
BuildRequires: libattr-devel 
BuildRequires: libacl-devel

%description
PatchELF is a simple utility for modifying an existing ELF executable
or library.  It can change the dynamic loader ("ELF interpreter")
of an executable and change the RPATH of an executable or library.

%prep
%setup -q

# package ships elf.h - delete to use glibc-headers one
rm src/elf.h

%build
sh ./bootstrap.sh
%configure
%make_build

%check
make check

%install
%make_install

# the docs get put in a funny place, so delete and include in the
# standard way in the docs section below
rm -rf %{buildroot}/usr/share/doc/%{name}

%files
%{_bindir}/patchelf
%{_mandir}/man1/patchelf.1*
%doc README.md COPYING



%changelog
* Thu Jun 11 2020 joequant <joequant> 0.11-1.mga8
+ Revision: 1592522
- update to 0.11

* Fri Feb 14 2020 umeabot <umeabot> 0.9-3.mga8
+ Revision: 1515833
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.9-2.mga7
+ Revision: 1300120
- Mageia 7 Mass Rebuild

* Sun Oct 02 2016 pterjan <pterjan> 0.9-1.mga6
+ Revision: 1058158
- Update to 0.9, works on arm and adds needed features like --add-needed

* Fri Feb 26 2016 luigiwalser <luigiwalser> 0.8-3.mga6
+ Revision: 979748
- rebuild with configure2_5x and make_install
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Nov 19 2015 neoclust <neoclust> 0.8-2.mga6
+ Revision: 904120
- Do not build on arm

* Sat Nov 22 2014 joequant <joequant> 0.8-1.mga5
+ Revision: 798358
- imported package patchelf

